Internet Explorer 6 or later is strongly recommended. Download here .